<template>
  <div class="expressDetails">
    <div class="order-num">
      <div class="text">
        <div class="order-label">物流单号：</div>
        <div class="order-value">{{deliveryNo}}</div>
      </div>
    </div>
    <div class="logistics-list">
      <div
        :class="[index===list.length-1?'is-first':'','logistics-item']"
        v-for="(item,index) in list"
        :key="index"
      >
        <div class="title">
          <!-- <div class="logistics-icon-txt" v-if="item.status==='已签收'">收</div> -->
          <div class="logistics-icon-dot"></div>
          <div class="logistics-status">
            <!-- <div class="label" v-if="item.status">{{item.status}}</div> -->
            <div class="time">{{item.ftime}}</div>
          </div>
        </div>
        <div class="logistics-content">{{item.context}}</div>
      </div>
    </div>
    <!--弹出栏-->
    <v-hintbox :hintbox="hintbox" @close="close"></v-hintbox>
  </div>
</template>

<script type="text/ecmascript-6">
import config from "@/config";
import store from "@/store";
import {
  VeevlinkIslogin,
  VeevlinkClient,
  VeevlinkData,
  Appid
} from "@/utils/base";
import hintbox from "@/components/hintbox/hintbox.vue";
let mta = require("@/utils/mta_analysis.js");
export default {
  data() {
    return {
      deliveryNo: "",
      list: [],
      accountid: "",
      contactid: "",
      openid: "",
      hintbox: {
        text: "",
        show: false
      }
    };
  },
  components: {
    "v-hintbox": hintbox
  },
  methods: {
    footerEmit() {
      config.back();
    },
    close(text) {
      this.hintbox.text = "";
      this.hintbox.show = false;
      config.back();
    },
    network() {
      return {
        //todo:物流信息
        runApiToGetLogview: () => {
          VeevlinkClient(
            `/points/exchange/delivery?openid=${this.openid}&deliveryNo=${
              this.deliveryNo
            }`,
            "get",
            null,
            data => {
              if (data.success) {
                data.records[0].data.forEach((item, index) => {
                  item.status = "";
                  if (item.context.includes("签收")) {
                    item.status = "已签收";
                  }
                  if (item.context.includes("派送途中")) {
                    item.status = "派送中";
                  }
                });
                this.list = data.records[0].data;
              } else {
                this.hintbox.show = true;
                this.hintbox.text = data.message;
              }
            },
            error => {
              this.hintbox.show = true;
              this.hintbox.text = error.message;
            }
          );
        }
      };
    },
    /*获取快递信息*/
    getAjax() {
      let that = this;
    }
  },
  onLoad(data) {
    mta.Page.init();
    // 解决页面返回后，数据没重置的问题
    Object.assign(this, this.$options.data());
    this.accountid = wx.getStorageSync("openidwx23bcedfe9e867c13").accountid;
    (this.contactid = wx.getStorageSync("openidwx23bcedfe9e867c13").contactid),
      (this.openid = wx.getStorageSync("openidwx23bcedfe9e867c13"));
    this.deliveryNo = data.deliveryNo;
    this.network().runApiToGetLogview();
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
.expressDetails {
  .order-num {
    padding: 42rpx 0;
    display: flex;
    align-items: center;
    justify-content: center;
    border-bottom: 1rpx solid #c8c8c8;
    .text {
      display: flex;
      align-items: center;
      .order-label {
        font-size: 28rpx;
        font-family: STXihei;
        color: #727171;
      }
      .order-value {
        font-size: 28rpx;
        font-family: GillSans-Light, GillSans;
        font-weight: 300;
      }
    }
  }
  .logistics-list {
    padding: 85rpx 76rpx;
    .logistics-item {
      padding-left: 40rpx;
      padding-bottom: 52rpx;
      position: relative;
      .title {
        display: flex;
        // align-items: center;
        .logistics-icon-txt {
          position: absolute;
          left: -21rpx;
          top: -10rpx;
          background-color: #333;
          width: 42rpx;
          height: 42rpx;
          color: #fff;
          font-size: 22rpx;
          font-family: STXihei;
          border-radius: 50%;
          text-align: center;
          line-height: 42rpx;
        }
        .logistics-icon-dot {
          position: absolute;
          left: -7rpx;
          // top:15rpx;
          width: 14rpx;
          height: 14rpx;
          background-color: #d8d8d8;
        }
        .logistics-status {
          margin-top: -5rpx;

          // padding-top: 10rpx;
          .label {
            margin-bottom: 16rpx;
            font-size: 24rpx;
            font-family: STXihei;
            color: #333;
          }
          .time {
            margin-bottom: 16rpx;
            font-size: 24rpx;
            font-family: GillSans-Light, GillSans;
            font-weight: 300;
            color: #727171;
          }
        }
      }
      .logistics-content {
        font-size: 24rpx;
        font-family: STXihei;
        color: #727171;
      }
    }
    .logistics-item::before {
      content: " ";
      position: absolute;
      left: 0;
      height: 100%;
      border-left: 1rpx solid #d8d8d8;
    }
    .is-first.logistics-item::before {
      border-color: transparent;
    }
  }
}
</style>
